"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.test = exports.PlaywrightBDD = void 0;
const tslib_1 = require("tslib");
const test_1 = require("@playwright/test");
const PlaywrightBDD = tslib_1.__importStar(require("playwright-bdd"));
exports.PlaywrightBDD = PlaywrightBDD;
const portfinder_sync_1 = require("portfinder-sync");
const test_2 = require("../playwright/test");
/**
 * Playwright BDD test
 * @public
 * @remarks
 * This is just an example playwright-bdd test fixture stub. In reality, you will likely create a custom
 * fixture for your e2e tests depending on the needs of your app or micro frontend.
 */
exports.test = PlaywrightBDD.test.extend({
    config: [test_2.defaultPackageConfig, { option: true, scope: 'worker', timeout: 60000 }],
    port: [
        ({ config }, use) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
            const port = (0, portfinder_sync_1.getPort)((config === null || config === void 0 ? void 0 : config.PORT) || process.env.PORT || test_2.defaultPackageConfig.PORT);
            yield use(port);
        }),
        { scope: 'worker' }, // option: true
    ],
    browser: [
        ({ port }, use) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
            const browser = yield test_1.chromium.launch({
                args: [`--remote-debugging-port=${port}`],
            });
            yield use(browser);
        }),
        { scope: 'worker' },
    ],
    audit: [test_2.defaultAuditThresholds, { option: true, scope: 'worker' }], // TODO: These are not being used from other test setups extending this.
});
