import { __awaiter } from "tslib";
import { chromium } from '@playwright/test';
import * as PlaywrightBDD from 'playwright-bdd';
import { getPort } from 'portfinder-sync';
import { defaultAuditThresholds, defaultPackageConfig } from '../playwright/test';
export { PlaywrightBDD };
/**
 * Playwright BDD test
 * @public
 * @remarks
 * This is just an example playwright-bdd test fixture stub. In reality, you will likely create a custom
 * fixture for your e2e tests depending on the needs of your app or micro frontend.
 */
export const test = PlaywrightBDD.test.extend({
    config: [defaultPackageConfig, { option: true, scope: 'worker', timeout: 60000 }],
    port: [
        ({ config }, use) => __awaiter(void 0, void 0, void 0, function* () {
            const port = getPort((config === null || config === void 0 ? void 0 : config.PORT) || process.env.PORT || defaultPackageConfig.PORT);
            yield use(port);
        }),
        { scope: 'worker' }, // option: true
    ],
    browser: [
        ({ port }, use) => __awaiter(void 0, void 0, void 0, function* () {
            const browser = yield chromium.launch({
                args: [`--remote-debugging-port=${port}`],
            });
            yield use(browser);
        }),
        { scope: 'worker' },
    ],
    audit: [defaultAuditThresholds, { option: true, scope: 'worker' }], // TODO: These are not being used from other test setups extending this.
});
